<?php
$___notjson=1;
require_once "configdops.php";
$site = str_replace("http://", "", $site);
$site = str_replace("www.", "", $site);
$site2 = str_replace("http://", "", $site2);
$site2 = str_replace("www.", "", $site2);

$refer = $_SERVER['HTTP_REFERER']; // откуда идет вызов функции
$refer = str_replace("www.", "", $refer); // вырезаем www. из реферера
$domain = substr($refer, 7, strlen($site)); // переменная $домен равна рефереру, начиная с 7 символа (т.е. http:// вырезается), с количеством символов, равным количеству символов в переменной $site
$domain2 = substr($refer, 7, strlen($site2));
if($domain == $site or $domain2 == $site2)
{
if ($_GET['mod'] == 'news') { 
$mod = 'news';
echo "<h2>Новости сайта</h2>";
}
if ($_GET['mod'] == 'load') { 
$mod = 'load';
echo "<h2>Каталог файлов</h2>";
}
if ($_GET['mod'] == 'stuff') { 
$mod = 'stuff';
echo "<h2>Онлайн игры</h2>";
}
if ($_GET['mod'] == 'publ') { 
$mod = 'publ';
echo "<h2>Статьи</h2>";
}
if ($_GET['mod'] == 'blog') { 
$mod = 'blog';
echo "<h2>Блог</h2>";
}

echo "<div id='opred' style='display:none'>" . $mod . "</div>";
$lines = file('./configs/' . $mod . '.txt');
echo "<form name='chtitles' id='chtitles'>";
if(count($lines) > 0) {	
$i=0;
foreach ($lines as $line_num => $line) {
        trim($line);
        list ($act, $pole, $title) = split("\t",$line);
		$i=$i+1;
		echo "<input name='" .$i. "active' type='hidden' value='" . $act . "' size='2' style='display:none' /><input style='display:none' name='" .$i. "nazv' type='hidden' value='" . $pole . "' /><input  class='textdop' name='" .$i. "title' id='obr".$i."' type='text' value=\"" . htmlspecialchars(stripslashes($title)) . "\" /><br>\n";
}
}
echo "</form><input type='button' value='Сохранить' onclick='save1()' />";

?>
<script type="text/javascript">
function save1 () {
var strrre = $('#chtitles').serialize();
jQuery.ajax({
url: encodeURI("/php/fields/savedops.php?mod=<?php echo $mod; ?>"),
type: "POST",
data: strrre,
timeout: 12000,
success: function(data){
if (data) $('#phpdivmain').html(data);
}
})
}
</script>
<?
}

?>